/*
 * COMPONENT_NAME: ldap.audit
 *
 * ABSTRACT: Audit plugin list header file
 *
 * ORIGINS: 202,27
 *
 * (C) COPYRIGHT International Business Machines Corp. 2000, 2002
 * All Rights Reserved
 * Licensed Materials - Property of IBM
 *
 * US Government Users Restricted Rights - Use, duplication or
 * disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 */

/*
 *
 * Licensed Materials - Property of IBM
 * 5647-A01,5722-SS1
 * (C) Copyright IBM Corp. 2000, 2002
 *
 */


#ifndef _AUDIT_PLUGIN_LIST_H
#define _AUDIT_PLUGIN_LIST_H

#ifdef USING_LIBASCII
#pragma convert(850)
#endif

char *  au_true_or_false[] = { 		"false",
					"true",
					"unknown" };

char *  au_ver_list[] = {     		"unknown",
                              		"2",
	 				"3" };

char *  au_auth_list[] = { 		"unknown",
                               		"anonymous",
					"authenticated"   };

char *  au_op_list[] = {		"unknown",
                        		"Bind",
					"Unbind",
					"Search",
					"Add",
					"Modify",
					"Delete",
					"ModifyDN",
					"Extended_OP" };

char *  au_extOP_list[] = { 		"unknown",
                            		"event notification: registration",
					"event notification: unregister"   };

char *  au_auth_choice_list[] = {	"unknown",
                                 	"simple",
					"krbv42LDAP",
					"krbv42DSA",
					"sasl"         };

char *  au_search_scope_list[] = {	"unknown",
					"baseObject",
					"singleLevel",
					"wholeSubtree" };

char *  au_deref_alias_list[] = { 	"unknown",
					"neverDerefAliases",
					"derefInSearching",
					"derefFindingBaseObj",
					"derefAlways"         };

char *  au_mod_op_list[] = { 		"unknown",
					"add",
					"delete",
					"replace" };

char *  au_extOP_EN_ID_list[] = {	"unknown",
					"LDAP_change"  };

char *  au_extOP_EN_change_type_list[] = {	"unknown",
						"changeAdd",
						"changeDelete",
						"changeModify",
						"changeModDN"  };


#ifdef USING_LIBASCII
#pragma convert(0)
#endif

#endif /* _AUDIT_PLUGIN_LIST_H */
